> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/products/unapprove#auth).

<br />

**Deprecated:** New integrations cannot use this method and can refer to our [new
recommendations](https://developers.google.com/android/work/deprecations#recommended_alternative).  
**This method will no longer be accessible by
anyone after September 30, 2025.** Unapproves the specified product (and the relevant app permissions, if any)

<br />

## Request

### HTTP request

```
POST https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/products/productId/unapprove
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `productId` | `string` | The ID of the product. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.